services:
    oro_sso.oauth_user_provider:
        class: Oro\Bundle\SSOBundle\Security\Core\User\OAuthUserProvider
        public: true
        arguments:
            - ~ # service locator for user providers
            - '@security.user_checker'

    oro_sso.token.factory.oauth:
        class: Oro\Bundle\SSOBundle\Security\OAuthTokenFactory
